# Seminar Datenanalyse, Institut für Publizistik, JGU Mainz
# 2024-06-17

library(tidyverse)

## Tabellarische Daten einlesen

tg <- read_tsv("data/telegram.tsv")

bb_deaths <- read_csv("https://wegweisr.haim.it/Daten/breaking_bad_deaths.csv")
bb_deaths

## SPSS- und Excel-Dateien einlesen

## Datensätze in R beschreiben

vb <- readxl::read_excel("data/victim_blaming.xlsx")

dim(vb)
names(vb)

head(vb)

tail(vb)

class(vb$v_1)

glimpse(vb)

## Variablen umbenennen

vb <- vb |>
  rename(
    soz_age = v_1,
    soz_gender = v_2,
    soz_edu = v_3,
    vb_01 = v_14a,
    vb_02 = v_14b,
    vb_03 = v_14c,
    vb_04 = v_14d
  ) # Nie vergessen: Klammern immer alle wieder schließen!

## Daten speichern

## write_csv2(vb, "data/dateiname.csv") # Export: Objektname, Zielordner & Dateiname

