# Seminar Datenanalyse, Institut für Publizistik, JGU Mainz
# 2024-06-17

library(tidyverse)

## Objekte in R 

meine_zahl <- 9

# hier sollte 9 erscheinen
meine_zahl

soziodemographie <- tibble(
  alter = c(32, 54, 26),
  groesse = c(1.67, 1.82, 1.76),
  name = c("Maria Musterfrau", "Peter Mustermann", "Kim Muster"),
  ist_verheiratet = c(FALSE, TRUE, FALSE),
  geschlecht = c("Weiblich", "Männlich", NA)
)
soziodemographie

soziodemographie$name

## Funktionen

sqrt(4)

sqrt(soziodemographie$alter)

round(soziodemographie$groesse)

round(soziodemographie$groesse, digits = 1)

gerundete_groessen <- round(soziodemographie$groesse, digits = 1)
gerundete_groessen # dieses neue Objekt könnten wir nun im Folgenden weiterverwenden.

## Pipes

round(sum(gerundete_groessen))

gerundete_groessen |>
  sum() |>
  round()

## Hilfe

?sum

